#! /bin/bash

set -e

#return 0 by default
ret=0

if [ ! -d /run/live/medium ]  # we are not in live system
then

    BASE_DIR=/home
    
    cd $BASE_DIR
    for FOLDER in $(ls -1 -d */ | cut -d '/' -f 1)
    do
        
        if [ -f ${BASE_DIR}/${FOLDER}/.bashrc ]  # we assume that this is a valid home folder
        then
            
            LOGIN=$FOLDER
            useradd --home-dir "/home/${LOGIN}" --no-create-home --gid sudo --shell /bin/bash "${LOGIN}" &> /dev/null

            # set to define password at first login
            passwd -e "${LOGIN}" &> /dev/null
            passwd -d "${LOGIN}" &> /dev/null
            
            #adjust home folder to be owned by the newly created user
            chown -R "${LOGIN}" "/home/${LOGIN}/"

            #return 1 only if a user was recovered
            ret=1          
        fi
    
    done
    
fi

if [ $ret -eq 0 ]; then
    echo '0'
else
    echo '1'
fi

